{% extends "base.html" %}

<!DOCTYPE html>
<html>
<head>
	{% load static %}
	{% block heading %}
	<title>{{ product_name }}</title>
	<script src="{% static 'js/chart.js' %}"> </script>
	<script src="https://canvasjs.com/assets/script/canvasjs.min.js"></script>
	{% endblock heading %}
</head>
<body>
{% block content %}	
    <div class='main-home'>
        <div class="row">
            <h1>Product Name: {{ properties.product_name }}</h1>
        </div>
        <br/>
        <div class="row">
            Original Product Name: {{ properties.original_product_name }}
        </div>
        <div class="row">
            Product Address: {{ properties.product_address }}
        </div>
        <div class="row">
            Full Product Address: {{ properties.full_product_address }}
        </div>
        <br/>
        <div class="row">
            <h3>Access Log</h3>
        </div>
        <div class="row">
            <div class=overflow-auto style="border:1px solid black; height: 300px; width: 1500px; overflow: auto;">
                {% for log in access_log %}
                {{ log }}
                <br/><br/>
                {% endfor %}
            </div>
        </div>
        <br/>
        <div class="row">
            <h3>Error Log</h3>
        </div>
        <div class="row">
            <div class=overflow-auto style="border:1px solid black; height: 300px; width: 1500px; overflow: auto;">
                {% for log in error_log %}
                {{ log }}
                <br/><br/>
                {% endfor %}
            </div>
        </div>
        <br/>
        <div class="row">
            <div id="db-operation-history-chart-container" style="height: 370px; width: 100%; max-width: 1500px;"></div>
        </div>
        <br/>
        <div class="row">
            <div id="run-history-chart-container" style="height: 370px; width: 100%; max-width: 1500px;"></div>
        </div>
    </div>
{% endblock content %}	
</body>
</html>


